Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

regionlist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: regionlist.php,v 1.1.2.1.4.1 2002/02/05 00:06:45 prana Exp $
5 //
6 // Created on: <2-Feb-2002 18:06:56 ghb>
7 //
8 // Copyright (C) 2002 Katalyst. All rights reserved.
9 //
10 // This program is free software; you can redistribute it and/or
11 // modify it under the terms of the GNU General Public License
12 // as published by the Free Software Foundation; either version 2
13 // of the License, or (at your option) any later version.
14 //
15 // This program is distributed in the hope that it will be useful,
16 // but WITHOUT ANY WARRANTY; without even the implied warranty of
17 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
18 // GNU General Public License for more details.
19 //
20 // You should have received a copy of the GNU General Public License
21 // along with this program; if not, write to the Free Software
22 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
23 //
24
25
26 // include_once( "ezaddress/classes/ezregion.php" );
27
28 $ini =& eZINI::instance( 'site.ini' );
29 $Max = $ini->variable( "eZAddressMain", "MaxRegionList" );
30
31 include( "kernel/ezaddress/admin/typelist_pre.php" );
32
33 $language_file = "region.php";
34 $page_path = "/address/region";
35 $typelist = "typelist.tpl";
36 $template_array = array( "region_tpl" => "regionlist.tpl" );
37 $variable_array = array( "region_header" => "region_header_tpl",
38 "region_item" => "region_item_tpl",
39 "extra_type_header" => "region_header",
40 "extra_type_item" => "region_item" );
41 $block_array = array( array( "region_tpl", "region_header_tpl", "region_header" ),
42 array( "region_tpl", "region_item_tpl", "region_item" ) );
43
44 $item_type_array = eZRegion::getAll( true, $SearchText, $Index, $Max );
45
46 $total_types = eZRegion::getAllCount( $SearchText );
47 $func_call = array( "item_id" => 'id',
48 "item_name" => 'name',
49 "item_abbreviation" => 'Abbreviation' );
50 $Searchable = true;
51
52 include( "kernel/ezaddress/admin/typelist.php" );
53
54 ?>
eZRegion\getAll
static & getAll( $as_object=true, $search="", $offset=0, $max=-1)
Definition: ezregion.php:146
eZRegion\getAllCount
static & getAllCount( $search="")
Definition: ezregion.php:125
$Index
$Index
Definition: eZPBINIFile.php:499
$SearchText
$SearchText
Definition: ezaddress/admin/typelist.php:143
$Max
$Max
Definition: regionlist.php:29
$total_types
$total_types
Definition: regionlist.php:46
$func_call
$func_call
Definition: regionlist.php:47
$language_file
$language_file
Definition: regionlist.php:33
$Searchable
$Searchable
Definition: regionlist.php:50
$typelist
$typelist
Definition: regionlist.php:35
$variable_array
$variable_array
Definition: regionlist.php:37
$ini
$ini
Definition: regionlist.php:28
$item_type_array
$item_type_array
Definition: regionlist.php:44
$block_array
$block_array
Definition: regionlist.php:41
$template_array
$template_array
Definition: regionlist.php:36
$page_path
$page_path
Definition: regionlist.php:34
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.